## org.eclipse.datatools.sqltools.sqleditor.internal.templates
Class SQLIntelligentTemplate

    java.lang.Object
      org.eclipse.jface.text.templates.Template
          org.eclipse.datatools.sqltools.editor.template.SQLTemplate
              org.eclipse.datatools.sqltools.sqleditor.internal.templates.SQLIntelligentTemplate

All Implemented Interfaces:
  TemplateConstant

    public class SQLIntelligentTemplate

extends SQLTemplate

Author:
  lihuang

Field Summary

Fields inherited from interface org.eclipse.datatools.sqltools.editor.template.TemplateConstant
`AND, ASTERISK, BEGIN, COMMA, DECLARE, DELETE, DOT, DOUBLE_QUOTE, END, EQUAL, EXECUTE, FROM, INSERT, INT, INTELLIGENT_TEMPLATE, LEFT_PARENTHESIS, NEWLINE, NEWLINENUMBER, OUTPUT, RIGHT_PARENTHESIS, SELECT, SEMICOLON, SET, SPACE, TAB, UPDATE, UPDATELINENUMBER, VALUES, VAR, WHERE`

Constructor Summary
`SQLIntelligentTemplate()`
`SQLIntelligentTemplate(java.util.HashMap params, java.lang.String contextTypeId, org.eclipse.datatools.sqltools.core.DatabaseIdentifier databaseIdentifier)`

Method Summary
`java.lang.String` `getContextInformation(java.lang.String value)` get the string to be used when presenting the context from the selected value.
`java.util.HashMap` `getKeyValuePair()`
`void` `setKeyValuePair(java.lang.String key, java.lang.String value)`

Methods inherited from class org.eclipse.datatools.sqltools.editor.template.SQLTemplate
`equals, getId, getProposalPopupDescription, setId`

Methods inherited from class org.eclipse.jface.text.templates.Template
`getContextTypeId, getDescription, getName, getPattern, hashCode, isAutoInsertable, matches, setContextTypeId, setDescription, setName, setPattern`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLIntelligentTemplate

    public SQLIntelligentTemplate()

### SQLIntelligentTemplate

    public SQLIntelligentTemplate(java.util.HashMap params,
                                  java.lang.String contextTypeId,
                                  org.eclipse.datatools.sqltools.core.DatabaseIdentifier databaseIdentifier)

Method Detail

### getKeyValuePair

    public java.util.HashMap getKeyValuePair()

### setKeyValuePair

    public void setKeyValuePair(java.lang.String key,
                                java.lang.String value)

### getContextInformation

    public java.lang.String getContextInformation(java.lang.String value)

  get the string to be used when presenting the context from the selected value.

  Parameters:
    `value` -
  Returns: